package com.slibra.monitor;

import com.slibra.monitor.config.ApplicationProperties;
import com.slibra.monitor.util.AliSMSUtil;
import org.apache.commons.net.telnet.TelnetClient;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import java.util.HashMap;
import java.util.Map;

@SpringBootTest
class MonitorApplicationTests {

    @Autowired
    private ApplicationProperties applicationProperties;

    @Test
    void contextLoads() {
    }

    /**
     * 测试注册短信发送
     */
    @Test
    public void testSMSLogin(){
        Map<String, Object> paramMap = new HashMap<>();
        paramMap.put("login", "王苗面");
        String result = AliSMSUtil.sendMsg(applicationProperties.getAliCloud().getTemplateRegistBuyer(), "15075275358", paramMap);
//        String result = AliSMSUtil.sendMsg("SMS_462425424", "15075275358", paramMap);
        System.out.println("result = " + result);
    }

    @Test
    public void testTelnet(){
        String server = "192.168.9.54";
        int port = 3307;
        try {
            TelnetClient telnetClient = new TelnetClient();
            telnetClient.connect(server, port);
            // 发送命令、读取响应等操作
            telnetClient.disconnect();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

}
